from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session

from app.db.session import get_db

router = APIRouter()


@router.get("")
def health_check(db: Session = Depends(get_db)):
    """
    Health check endpoint that verifies API and database connection are working.
    """
    # Simple db query to check database connection
    db.execute("SELECT 1")
    return {"status": "ok", "message": "API is operational"}